<footer class="footer">
    &copy; 2024 Weather App
</footer>
<style>
    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    html, body {
        height: 100%;
    }

    body {
        display: flex;
        flex-direction: column;
    }

    .footer {
        background-color: #333;
        color: white;
        text-align: center;
        padding: 1em 0;
    }

</style>
</body>
</html>
